WordPress.org

Make WordPress Core

Opened 7 years ago

Closed 7 years ago

#23515 closed enhancement (wontfix)

Twenty Twelve: 'Warning: Missing required field "updated"'

Reported by: bulblub Owned by:
Milestone: Priority: low
Severity: normal Version: 3.5.1
Component: Bundled Theme Keywords: has-patch
Focuses: Cc:
PR Number:

Description

Checking with Google Structured Data Testing Tool Twenty Twelve theme has warning.

Warning: Missing required field "updated".

To fix this, I think better to add "updated" class to function twentytwelve_entry_meta() in functions.php
Here's patch.

Attachments (1)

functions.php.diff (264 bytes) - added by bulblub 7 years ago.

Download all attachments as: .zip

Change History (5)

#1 @SergeyBiryukov
7 years ago

  • Component changed from Themes to Bundled Theme
  • Summary changed from 'Warning: Missing required field "updated".' in WordPress Twenty Twelve theme to Twenty Twelve: 'Warning: Missing required field "updated"'

#2 @lancewillett
7 years ago

  • Milestone changed from Awaiting Review to 3.6
  • Priority changed from normal to low

#3 @lancewillett
7 years ago

I'd like more opinions from core team and themers -- is Google Structured Data something we pay attention to?

#4 @lancewillett
7 years ago

  • Milestone 3.6 deleted
  • Resolution set to wontfix
  • Status changed from new to closed

Based on discussion with Ian Stewart and Andrew Nacin, we aren't so much concerned with being 100% exactly compliant with Google Structured Data right now. I'm marking as "wontfix".

Note: See TracTickets for help on using tickets.